/* CSS Styles */

*{
    font-family: 'Didact Gothic', sans-serif
}

body {
    background-color: white;
    background-image: url(images/topography.png);
    margin: 0
}
a:link {
    color: rgb(105, 117, 246);
    text-decoration: none;
}
a:hover, a:visited {
    color:rgb(35, 74, 145);
   text-decoration: underline;
}
img{
    max-width: 100%;
}
/*Button Style */
.button a:link, .button a:visited {
    color: #666;
    border: #666 thin solid;
    padding: 10px 0;
    display: block;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
}
.button a:hover {
    border: #000 thin solid;
    color: white;
    background-color: #000;
}

/* Header Styles */
header{
    background-color: #843d44ee;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 10px;
}
header h1 {
    grid-column: 1 / span 6;
    margin-top: 15px;
}
header h1 a:link,
header h1 a:hover,
header h1 a:visited {
    color:white;
    text-decoration: none; 
    padding: 0 2rem;
}
header nav {
    grid-column: 7 / span 6;
}
header nav ul {
    display: flex;
    justify-content: flex-end;
    list-style-type: none;
    padding: 0 2rem;
    margin-top: 25px;
}

header nav li a:link,
header nav li a:hover,
header nav li a:visited {
    color: white;
    text-decoration: none;  
    font-size: 1.5rem;
    padding: 0 2rem;
}



.pic {
    width: 300px;
}

.container {
    background-color: white;
    width: 90%;
    max-width: 1000px;
    margin: 0 auto;
    padding: 35px 5% 0 5%;
}


/* Homepage content styles */
.home {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 10px;
}
.about {
    grid-column: 1 / span 8;
    padding: 0 5% 2rem 0;
}
.photo {
    grid-column: 9 / span 4;
}

/* Work Page Content Styles*/
.work {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}
.work div {
    text-align: center;
    padding: 0 5% 5% 5%;
}

/* Footer Styles */
footer {
    text-align: center;
    padding: 1.5rem;
    margin: .5rem 3.5rem;
    border-top: #666 solid thin;
}
footer ul {
    display: flex;
    justify-content: center;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

footer ul a {
    display: block;
    padding: 0 .5rem;

}

